List recipient destinations
curl --request GET \
--url https://platform.swipelux.com/v3/customers/{customerId}/recipients/{recipientId}/destinations \
--header 'X-API-Key: <api-key>'const url = 'https://platform.swipelux.com/v3/customers/{customerId}/recipients/{recipientId}/destinations';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://platform.swipelux.com/v3/customers/{customerId}/recipients/{recipientId}/destinations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.swipelux.com/v3/customers/{customerId}/recipients/{recipientId}/destinations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.swipelux.com/v3/customers/{customerId}/recipients/{recipientId}/destinations")
.header("X-API-Key", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.swipelux.com/v3/customers/{customerId}/recipients/{recipientId}/destinations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://platform.swipelux.com/v3/customers/{customerId}/recipients/{recipientId}/destinations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "dst_7mA9sL1kBc6dV8xN2pQ4rT",
"type": "ach",
"currency": "USD",
"status": "ready",
"details": {
"routingNumber": "021000021",
"accountNumber": "123456789",
"accountType": "checking",
"bankName": "JPMorgan Chase",
"accountHolderName": "Jason Swipelux",
"country": "US"
},
"createdAt": "2026-06-25T12:01:00.000Z",
"updatedAt": "2026-06-25T12:01:00.000Z",
"archivedAt": null
},
{
"id": "dst_8xN2pQ4rT7mA9sL1kBc6dV",
"type": "wallet",
"currency": "USDC",
"ownership": {
"type": "self_custodied"
},
"status": "ready",
"details": {
"network": "base",
"address": "0x1111111111111111111111111111111111111111"
},
"createdAt": "2026-06-25T12:02:00.000Z",
"updatedAt": "2026-06-25T12:02:00.000Z",
"archivedAt": null
}
],
"nextCursor": null,
"hasMore": false
}{
"type": "https://docs.swipelux.com/errors/unknown-parameter",
"title": "<string>",
"status": 400,
"code": "unknown_parameter",
"detail": "<string>",
"correlationId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"transferId": "<string>",
"retryable": true,
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"actor": "customer",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"type": "account",
"id": "<string>",
"requiredAction": "archive_account"
}
]
}{
"type": "https://docs.swipelux.com/errors/unauthorized",
"title": "<string>",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/forbidden",
"title": "<string>",
"status": 403,
"code": "forbidden",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/not-found",
"title": "<string>",
"status": 404,
"code": "not_found",
"detail": "<string>",
"correlationId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/internal-error",
"title": "<string>",
"status": 500,
"code": "internal_error",
"detail": "<string>",
"correlationId": "<string>",
"retryable": true,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Recipients
List recipient destinations
Lists active recipient-owned bank and wallet payout destinations. When updatedAfter is supplied, archived transitions inside the inclusive recovery window are also returned.
GET
/
v3
/
customers
/
{customerId}
/
recipients
/
{recipientId}
/
destinations
List recipient destinations
curl --request GET \
--url https://platform.swipelux.com/v3/customers/{customerId}/recipients/{recipientId}/destinations \
--header 'X-API-Key: <api-key>'const url = 'https://platform.swipelux.com/v3/customers/{customerId}/recipients/{recipientId}/destinations';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://platform.swipelux.com/v3/customers/{customerId}/recipients/{recipientId}/destinations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.swipelux.com/v3/customers/{customerId}/recipients/{recipientId}/destinations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.swipelux.com/v3/customers/{customerId}/recipients/{recipientId}/destinations")
.header("X-API-Key", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.swipelux.com/v3/customers/{customerId}/recipients/{recipientId}/destinations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://platform.swipelux.com/v3/customers/{customerId}/recipients/{recipientId}/destinations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "dst_7mA9sL1kBc6dV8xN2pQ4rT",
"type": "ach",
"currency": "USD",
"status": "ready",
"details": {
"routingNumber": "021000021",
"accountNumber": "123456789",
"accountType": "checking",
"bankName": "JPMorgan Chase",
"accountHolderName": "Jason Swipelux",
"country": "US"
},
"createdAt": "2026-06-25T12:01:00.000Z",
"updatedAt": "2026-06-25T12:01:00.000Z",
"archivedAt": null
},
{
"id": "dst_8xN2pQ4rT7mA9sL1kBc6dV",
"type": "wallet",
"currency": "USDC",
"ownership": {
"type": "self_custodied"
},
"status": "ready",
"details": {
"network": "base",
"address": "0x1111111111111111111111111111111111111111"
},
"createdAt": "2026-06-25T12:02:00.000Z",
"updatedAt": "2026-06-25T12:02:00.000Z",
"archivedAt": null
}
],
"nextCursor": null,
"hasMore": false
}{
"type": "https://docs.swipelux.com/errors/unknown-parameter",
"title": "<string>",
"status": 400,
"code": "unknown_parameter",
"detail": "<string>",
"correlationId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"transferId": "<string>",
"retryable": true,
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"actor": "customer",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"type": "account",
"id": "<string>",
"requiredAction": "archive_account"
}
]
}{
"type": "https://docs.swipelux.com/errors/unauthorized",
"title": "<string>",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/forbidden",
"title": "<string>",
"status": 403,
"code": "forbidden",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/not-found",
"title": "<string>",
"status": 404,
"code": "not_found",
"detail": "<string>",
"correlationId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/internal-error",
"title": "<string>",
"status": 500,
"code": "internal_error",
"detail": "<string>",
"correlationId": "<string>",
"retryable": true,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Authorizations
Your Swipelux API key. Obtain this from the Swipelux Dashboard.
Query Parameters
Opaque cursor returned as nextCursor from the previous page.
Maximum number of records to return. Defaults to 25.
Required range:
1 <= x <= 100Return only records updated at or after this RFC 3339 timestamp. Use it to recover from missed webhooks by replaying a window of changes.
Response
Recipient destinations retrieved